
From: Yani Ioannou <yani.ioannou@gmail.com>

This patch updates all the device attribute callbacks that weren't
updated with the new parameter, I guess because they weren't in Greg's
tree (including drivers/pcmcia/ds.c). Without the patch these
callbacks are probably broken (and generate a warning along the lines
of "assignment from incompatible pointer type").

Please see http://lkml.org/lkml/2005/5/19/40 for the scripts I used to
update the attributes automatically.

Signed-off-by: Yani Ioannou <yani.ioannou@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/message/i2o/bus-osm.c  |    2 +-
 drivers/message/i2o/exec-osm.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/message/i2o/bus-osm.c~i2o-device-attribute-fixes drivers/message/i2o/bus-osm.c
--- 25/drivers/message/i2o/bus-osm.c~i2o-device-attribute-fixes	2005-05-26 22:40:37.000000000 -0700
+++ 25-akpm/drivers/message/i2o/bus-osm.c	2005-05-26 22:40:37.000000000 -0700
@@ -59,7 +59,7 @@ static int i2o_bus_scan(struct i2o_devic
  *
  *	Returns count.
  */
-static ssize_t i2o_bus_store_scan(struct device *d, const char *buf,
+static ssize_t i2o_bus_store_scan(struct device *d, struct device_attribute *attr, const char *buf,
 				  size_t count)
 {
 	struct i2o_device *i2o_dev = to_i2o_device(d);
diff -puN drivers/message/i2o/exec-osm.c~i2o-device-attribute-fixes drivers/message/i2o/exec-osm.c
--- 25/drivers/message/i2o/exec-osm.c~i2o-device-attribute-fixes	2005-05-26 22:40:37.000000000 -0700
+++ 25-akpm/drivers/message/i2o/exec-osm.c	2005-05-26 22:40:37.000000000 -0700
@@ -261,7 +261,7 @@ static int i2o_msg_post_wait_complete(st
  *
  *	Returns number of bytes printed into buffer.
  */
-static ssize_t i2o_exec_show_vendor_id(struct device *d, char *buf)
+static ssize_t i2o_exec_show_vendor_id(struct device *d, struct device_attribute *attr, char *buf)
 {
 	struct i2o_device *dev = to_i2o_device(d);
 	u16 id;
@@ -281,7 +281,7 @@ static ssize_t i2o_exec_show_vendor_id(s
  *
  *	Returns number of bytes printed into buffer.
  */
-static ssize_t i2o_exec_show_product_id(struct device *d, char *buf)
+static ssize_t i2o_exec_show_product_id(struct device *d, struct device_attribute *attr, char *buf)
 {
 	struct i2o_device *dev = to_i2o_device(d);
 	u16 id;
_
